# $Revision: 1.17 $, $Date: 2010/07/08 07:39:28 $
Summary:	BitBake build tool
Summary(pl.UTF-8):	BitBake - narzędzie do budowania
Name:		bitbake
Version:	1.8.18
Release:	2
License:	GPL
Group:		Development
Source0:	http://download.berlios.de/bitbake/%{name}-%{version}.tar.gz
# Source0-md5:	f772ca3121103ab3500c7f1609a96271
URL:		http://developer.berlios.de/projects/bitbake/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
%pyrequires_eq	python
Requires:	bash
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BitBake is a simple tool for the execution of tasks. It is derived
from Portage, which is the package management system used by the
Gentoo Linux distribution. It is most commonly used to build packages,
as it can easily use its rudimentary inheritance to abstract common
operations, such as fetching sources, unpacking them, patching them,
compiling them, and so on. It is the basis of the OpenEmbedded
project, which is being used for OpenZaurus, Familiar, and a number of
other Linux distributions.

%description -l pl.UTF-8
BitBake to proste narzędzie do wykonywania zadań. Wywodzi się z
Portage, które jest systemem zarządzania pakietami używanym w
dystrybucji Linuksa Gentoo. Najczęściej jest używane do budowania
pakietów, jako że może łatwo używać swojej elementarnej dziedziczności
do abstrahowania wspólnych operacji, takich jak pobieranie źródeł,
rozpakowywanie ich, łatanie, kompilowanie i tak dalej. Jest podstawą
projektu OpenEmbedded, używanego przez projekty OpenZaurus, Familiar i
wiele innych dystrybucji Linuksa.

%prep
%setup -q
sed -i	-e 's@#!/bin/sh[[:space:]]@#!/bin/bash @'	\
	-e 's@%s%ssh[[:space:]]@%s%sbash @'	lib/bb/build.py

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

python setup.py install \
	--prefix=%{_prefix} \
	--root=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_datadir}/%{name}/conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
ln -s %{_sysconfdir}/%{name} $RPM_BUILD_ROOT%{_datadir}/%{name}/conf

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_sysconfdir}/%{name}
%{_datadir}/%{name}
%dir %{py_sitescriptdir}/bb
%{py_sitescriptdir}/bb/*py[co]
%dir %{py_sitescriptdir}/bb/fetch
%{py_sitescriptdir}/bb/fetch/*py[co]
%dir %{py_sitescriptdir}/bb/parse
%{py_sitescriptdir}/bb/parse/*py[co]
%dir %{py_sitescriptdir}/bb/parse/parse_py
%{py_sitescriptdir}/bb/parse/parse_py/*py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bitbake.spec,v $
Revision 1.17  2010/07/08 07:39:28  arekm
- release 2

Revision 1.16  2009/11/19 10:44:06  zbyniu
BR: rpm-pythonprov

Revision 1.15  2009/11/19 08:08:40  kosmo
- updated to 1.8.18

Revision 1.14  2008/10/03 17:40:23  arekm
- release 2

Revision 1.13  2007-09-26 16:50:04  kosmo
- updated to 1.8.8

Revision 1.12  2007/07/09 20:30:37  kosmo
- updated to 1.8.6

Revision 1.11  2007/06/14 12:17:38  kosmo
- updated to 1.8.4

Revision 1.10  2007/04/28 14:00:32  kosmo
- updated to 1.8.2

Revision 1.9  2007/02/19 18:58:10  qboosh
- python epoch

Revision 1.8  2007/02/19 17:34:39  arekm
- up to 1.6.6

Revision 1.7  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:48:40  baggins
- converted to UTF-8

Revision 1.5  2006/06/08 18:35:16  tommat
- updated to 1.4.2

Revision 1.4  2005/04/12 19:41:30  darekr
- typo

Revision 1.3  2005/04/12 19:32:46  qboosh
- pl, typos

Revision 1.2  2005/04/08 16:14:05  darekr
- cosmetics

Revision 1.1  2005/04/08 13:33:39  luzik
 - initial PLD release
